*******************************************************************************
                       CHANGES IN BC3K v1.07D
*******************************************************************************

Last Updated    : 07-01-98
Author          : Derek Smart, Ph.D [Project Manager/Lead Developer/Designer]
Lead Tester     : Robert 'Pandora' Hentsche
Public Version  : v1.01D7C   - 11-03-97
                  v1.04B     - 03-18-98 (3DFX only for free v1.01D7C)
                  v1.07D     - 07-01-98
Testers Version : v1.07D     - 07-01-98

===============================================================================
THIS FILE IS EASIER TO READ THAN BC3KVER.TXT BECAUSE IT DOES NOT LIST BUG FIXES
JUST FEATURE CHANGES/UPDATES THAT THE GAMER SHOULD BE AWARE OF.
===============================================================================

    NOTES:

    1. The v1.07D patch will ONLY patch v1.00 UK or US CD-ROMS as well as
       v1.01D7C CD-ROMS purchased from 3000AD directly. It will NOT patch the
       free version nor are there plans to allow this. Debug mode is disabled;
       you need the CD-ROM in the drive at all times even if you do a FULL
       install.
     
    2. Distribution files now contain both software and Glide version. The 
       software version is executed by default. To run the Glide version, use
       /g on the commandline. You can use either version to play the game 
       without having to start a new player profile.

    3. You can now use the SAVE/RESTORE screen to save multiple profiles. 
       However, since work on surface ops started, you will encounter bug #074 
       sometimes when you select CONTINUE from the MAIN MENU. This only occurs 
       if surface object auto-generation was going on at the point when you 
       saved. This is a VERY rare occurence.

    4. ACM is disabled until the missions being created for it, and which also
       be used for the SDF campaign, are finished and tested.
    
    5. Please do NOT report ANY bugs. We are aware of all of them. If you are
       experiencing a problem, see BC3KBUGS.TXT and find out if it's listed. If
       something works differently, then read this file or BC3KVER.TXT. If you
       have configuration problems, then read BC3KHELP.TXT
   
001 Keyboard changes

    [CTRL-Z] - sets the NID range to maximum
    [ALT+,]  - decrease GAMMA correction by 0.1
    [ALT+.]  - increase GAMMA correction by 0.1
   
    Glide Gamma adjustment control added. The value is stored in setup.cfg
    the default is 1.4, valid range is 1.3 to 2.0. BCKEYS.TXT updated.

002 "Match target speed" (SHIFT-`) is now a toggle. When on [M] is
    displayed in the HUD near the speed indicator. So, if you have a target
    in front of you, at say, 100km, you can match its speed. If you want to
    close or increase the distance, use the normal [`] and [tab] speed keys

    SHIFT-` turns off or sets the current CVD target for match speed. The [M]
    caret is constantly adjusting your set speed, but pegs at 0 and 1500 kps.

    Has no effect with A/P off.

    It makes dogfighting rather easy, because once you're on a target six, it 
    prevents overshoot and maintains your distance from the target (just as it
    is supposed to). All you need to do is keep the target in your sights and 
    blast away.

    It does make flying formation on the surface possible though (but still
    tricky, because ships are constantly varying altitude). You can test this
    by...
    
    - setting a waypoint for IC-1 (as shown in #012 below). Launch it
    - launch IC-2 and simply follow IC-1. 
    
      You can do this by setting waypoints for as many ships as you like and 
      flying in formation with them. Simply set the waypoints for each ship a 
      few feet from each other and since they will all be on A/P, will follow
      the waypoint accordingly in space or on a planet. 
 
003 The NID grid in space is supposed to indicate a flight plane to the
    target. This was unclear and caused confusion.

    Chevrons have been added to the grid to define which edge of the
    rectangular grid indicates direction to the target. When the chevrons
    are pointing up wrt to the display, the ship is pointing towards
    the target. The chevrons are active only if a target is selected.

004 Added "stalks" to NID blips to give better feeling of depth. The
    stalks are pointing away from the center of the NID (your position)
    It seems that the grid interferes with this visual depth cue so
    the grid is disabled unless a target is selected, cancel your
    target to remove the grid. Note: the stalks are a fixed length
    and only indicate relative position.

005 Targets in the NID (space mode) are now color coded.

          Planets                                  - Green
          Moons                                    - Grey
          Jump points                              - Blue
          Worm holes                               - Brown
          Flux Fields                              - Yellow
          Comet/Meteor/Asteroid Field/Black Holes  - Red

006 Major overhaul in navigation route finding logic. AI ships will now be
    able to span the galaxy without getting confused along the way. Player's
    ships can now span space regions as well as enter/leave planets.

007 Shield impact animation is now implemented and will be played when a ship
    is hit with it's shields up. Due to the changes in collision detect,
    several animations will be played wherever a hit occurs. Though the
    animation is scaled accurately to match the size of the target, they will
    look blocky and pixelated if an inpact occurs in close proximity of a
    large target.

008 Added support for dynamic asteroid fields in various space regions with full
    collision detect. Hyperjump engines are disabled when inside an asteroid
    field. If you are in hyperspace transition a field is in your path, the
    ship will drop out of hyperspace. Debris such as the hulk of ships, ghost
    ships, discarded cargo pods etc, may sometimes be present in fields. In
    hostile fields, expect to see mines and other nasty things.

    Note: You cannot currently collect cargo pods or destroy asteroids. Also
    the debris field is only visible in tacOPS as a red sphere. 
    
009 Added support for rings with asteroid fields to planets.

010 Planet shadow is now smooth. It depends on the position of the Sun
    which can now be elevated from the z axis (in Earth region the elevation
    is 23 degrees to match the spin axis of the Earth). The Sun position
    should be different in each space region (Uranus for example should have
    a solar elevation of closer to 90 degrees).

011 Collision detect is now activated for destroyed objects under repair

012 The PTE now has support for high-res GBMs (Global BitMaps). These are the
    maps used on the external surface of planets/moons. This won't be obvious
    until surface ops is completed.

013 Reduced the displacement value of CRAFT1,2,3 cargo units

014 Support added for gas giants, which means no PTE surface. The code still
    needs to be modified to remove the surface on such planets once I define
    all of them.

015 The REPEAT ACTIONS waypoint order is now implemented and resets the
    current waypoint to the first. The default order for the ship once it
    reaches the last waypoint in the pattern is always RTB.

016 Smoke trails added for:

     () Missiles in 'dumb fire' mode (no valid lock)
     () Aircraft that are about to blow up
     () Some surface object blast fragments

017 Implemented new personnel images. The originals are 150x150 but
    due to the format of the current version of the game, had to be resized.
    This makes the images smaller and less distinct. In v2.0, the bridge is
    different and I will find a way to make the images larger.

018 Missile guidance no longer operates while a missile is detonating

019 Missile collisions are disabled from the instant that they are
    destroyed by a collision.

020 Missiles now have proximity detonation technology which causes them to
    detonate when within a certain range of the target.

021 Added contrail technology to missiles. Currently a temporary smoke 
    animation is used in space and on planets.

022 You will no longer be able to launch missiles if the EMD is active. 

023 Changed Glide tractor beam effect and modified the software renderer version
    so it is closer to the Glide version. Also changed beam so it is more 
    conical shaped (probably needs a rear section to enclose the entire ship).

024 TACOPS camera now shows the shimmering effect for transported personnel.

025 tacOPS will now be automatically updated if a probe you're observing in
    TACLINK mode, jumps to a new region.

026 Using new nav code, entities (AG or scripted) can now acquire, engage and
    attack a target in *ANY* part of the galaxy. They will use advanced route
    finding logic to locate the objective. You can test this by scripting a
    ship to take out a station and then manually follow it as it plots a route.

027 Scripted AI ships with escort orders will now revert to SAD mode if their
    target is destroyed or goes out of scope.

028 Scripted AI ships with escort orders will now be able to follow their
    target where it goes (using new nav code)

029 Instruments are no longer linked to the probe's TACLINK mode. Only tacOPS
    now has access to the probe when in this mode. This means that NID, TACSCAN
    and BridgeViewer will no longer use the probe's TACLINK data.

030 Detaching a probe now self-destructs it. This allows you to replace it.

031 Probe menus entries: "View Probe/Local region" now show the name of the 
    region to be viewed.

032 Nebulae added. Eventually, each starsystem will have it's own nebulae
    bitmap. A total of 25 in all. In this version, Sol, Sirius, Alpha Centauri
    and Tau Ceti have unique maps
          
          - Nebulae are not visible on planets.
          - Nebulae currently wrap around the Z-axis and have fixed width.
          - All regions in a given system use the same nebula.

033 The race/caste of the target is now displayed in the CVD

034 Fragmentation code modified. The degree of fragmentation now varies with AI 
    class of object. Only large objects now generate large numbers of fragments.
    The maximum number that can be generated with max fragmentation in CONFIG 
    and greatest magnitude is 75, the minimum is 5

035 Shockwaves implemented and completed. Software renderer uses
    a monochrome shockwave while Glide uses 16-Bit version. Three shockwave 
    types are supported with different speeds that are used according to the
    size of the object for best visual effect. Only dynamic objects generate
    shockwaves. More shockwave types can be added at any time. Missiles are 
    explicitly excluded. Note: Time to go alt+x crazy!

036 Transparent bitmaps (such as the gridwork bitmap) are now rendered
    transparent in Glide version.

037 Modified flight dynamics. Control of large ships is now a little more
    sluggish. Still needs more work.

038 The COMMLINK will no longer auto-launch in XC when running in debug mode

039 The cockpit COMMLINK will now flash when questions are asked

040 If you have a planet selected in the CVD and you activate tacOPS, it will
    no longer OBSERVE the planet. Instead, it will start tacOPS (as normal) and
    you can then select the planet and OBSERVE it.

041 You will no longer be able to launch a probe if the probe assigned to the
    current slot, is deployed. You need to detach/destroy the probe before you
    can put anything in that slot.

042 You will no longer be able to dock with stations under repair or under
    attack. In order to dock, all hostiles, including missiles in flight, must
    be cleared before you are granted docking clearance. You can't dock while
    in hyperspace either.

043 The EMD's performance is now directly linked to it's damage state.

    The EMD integrity must be at least 20% for it to work. Integrity
    is dependant on:

            BC: Weapons computer & tactical computer 
            IC: Dedicated EMD system                 
            SC: Computer                             
           ATV: Computer & Weapons systems           

    The greater the EMD integrity, the more effective it is at jamming
    missiles. A jammed missile operates in dumb-fire mode, so EMD is
    ineffective if a missile is launched on target and/or at point-blank
    range.

    The EMD jammer is now more accurate. Note: If a missile has a lock and is
    flying toward you, when you turn on your jammer, there is a probability
    that the missile will be jammed as long as the EMD is on. BUT you must
    change your location because the missile will then assume a 'dumb fire'
    AI mode which causes it to fly straight ahead.

044 Target Lead indicator in HUD should be more accurate now

045 Since all ships now use an advanced route finding logic, you can recall
    your ships from anywhere in the galaxy (space or planet) and they will
    seek the Battlecruiser.

046 Ships on the planet surface will now ignite a short VTOL power burst in 
    order to take off if they are touching the surface. This will allow them
    to leave the planet and return to space if they need to. Sometimes if the
    pitch angle is down, they may get stuck. You then need to take off manually
    and then give them the command again.

047 The alter-ego now has the commander's name when deployed as a 3D object

048 If you tractor personnel, they will be killed

049 Added right arrow in Tactical/Crew screen so that you can now cycle thru
    the personnel assignments list easily.

050 Crew now consume 3 NUTRIPAKS a day. This means that you start off with 2
    days worth of food for the crew.

051 Reduced price of VACPAK to 5000. Reduced initial amount to 10. Low warning 
    level at 5, critical level warning at 2 (same as MEDPAK, NUTRIPAK)

052 Marines will now prep for combat before going to any location. Also, you
    no longer need to 'prep' them beforehand because if you assign them to a
    location and they are NOT prepped, they will prep and then proceed.

053 Radar scanning circle is disabled if object is not 100% operational

054 ALT-F1-F4 will no longer launch ships unless the current ship is the BC

055 tacops command palette teams for SH1-4 and ATV1-4 are now enabled if there 
    are personnel in the ship

056 You will now be awarded EPs for kills by your AI pilots, ATV drivers and
    personnel whether you're flying the ship or not. You will also be
    penalized with EP deductions  if they screw up and destroy a friendly!

057 Prisoners on the ship will now be transfered to the station when you dock. 
    You will be awarded 2 EPs per prisoner. I thought of doing the same for
    intruders but decided against it because then everyone will be running home
    at the first sign of trouble.

058 You will no longer lose 100,000 EPs if GHQ is destroyed when the Earth 
    region is not your PZ.

059 Cargo pods are now created as HAZARD/MIXED so they are not valid AI targets

060 Ships are no longer capable of ridiculous speeds. The max normal speed is
    Factor 9 (1500 mps). The A/B and retros can only go at 1.5 times max speed.
    Support ships, using the A/B and retros constantly will depleted all stored
    power in 15 mins. In the case of the BC, the time to depletion is dependent
    on the current Radine. AI ships will use short bursts of A/B in order to
    breach vast distances. Note that your max speed at any time is also
    dependent on the current amount of damage to the ship's systems.

    Note: If you max out the thrust or after-burner, then the [`] and [tab] keys
    won't reduce/increase speed. Use [0] to slow the ship down, or alter your
    thrust vector by turning the ship.

061 AI ships in escort mode will now break and defend themselves if attacked
    while in escort mode. They will not attempt to follow the attacker but will
    break and return to escort duty once the attacker goes out of range. 
    Previously, the escort would ignore attacks on itself but respond to attacks
    on the escortee. They will also attack ships that are within range IF the
    target they are attacking/escorting is not currently under attack. If the
    ship they are escorting jumps, the escort will break off any attack and
    plot a route to where the escortee jumped. They won't do this if they are
    defending a ship that then leaves the region.

062 Removed escort/defend command conflict. If a ship is escorting an object
    and defending another, preference will be given to the ship it's escorting.
    If the escortee goes out of scope, the escort will revert to defending the
    other ship. If both go out of scope, it will revert to SAD mode.

063 Turret laser velocity is now independent of the platform it's on

064 The turret rate of fire has now been increased in order to increase their
    accuracy.

065 Turrets will now fire in their relative directions. Used to fire ahead only

066 Turret leading and target acquisition logic second pass implemented.
    Turrets and missile launches for carriers and stations will no longer
    fixate on a single target but instead will acquire and fire on targets as
    they come into range.

067 The hyperjump charge will now be 100% depleted when a ship jumps into a new
    region.

068 Reduced the hyperjump timer of all ships so that they make jumps less
    frequently

069 Increased the range at which ships will use their hyperjump engines. This
    means that they will fly to targets most of the time rather than jumping all
    over the place. This needs some tweaking though.

070 BC bridge systems are now activated on new game startup and set to MODE 1

071 Battlecruiser changes
      
       - IOD graphics changed
       - IOD recharge rate increased
       - IOD firing sound changed

072 Increased re-arm time for AI ships docking with their platform

073 Surface Ops: planetary egress

    Pressing [O] at any altitude takes you to space after responding to Y/N

074 Surface Ops: Implemented terrain following model

    Turning on the A/P will set the current altitude as that which the A/P
    will attempt to hold. The altitude is relative to Ground level. AI
    ships have an implicit altitude hold of 250 feet. Needs some tweaking.

075 Surface Ops: Implemented terrain avoidance model
 
    Terrain avoidance logic is implemented for aircraft on the surface
    It is currently active in the player ship even if the A/P is inactive. 
    (WORK IN PROGRESS)

076 Surface Ops: Implemented new heading indicators for waypoints

     The HUD heading scale shows up to three carets

     () A solid triangle is the current objective and relates to the
        box-X/Target leader line symbology, TTD, range scales etc.
        
        - This is the target currently selected in the NID or TACSCAN
          and set as the nav target using the FPD key [f]
     
     () An open triangle is the target shown in the CVD
     
        - This is the current target NOT designated with the FPD key [f]
     
     () a vertical box is the current waypoint (if set) When shown
        the current waypoint ID and range are displayed on the right
        of the HUD below the heading display

077 Surface Ops: Implemented waypoint follow model

    You can now follow waypoints for the ship you're flying (set in tacOPS)
    from the cockpit and either in manual or a/p mode. Sample.
    
      - go to tacOPS and 'observe' the planet (works in space too). Click
        about 2-3 times so you can see the separation grid.
      
      - set 3 waypoints with 'proceed to next' orders and a 4th one with
        'repeat actions' for IC-1. Try to space them apart by putting 2 to a
        grid. Each grid is about 2000km wide so don't go overboard!
        
        Note: If you ever wanted to see all the climate zones on Earth. Here's
        your chance. Set the waypoints headed North as far as you can go. Get
        ready to sit there for HOURS.
      
      - launch IC-1 and switch to it
      
      - Switch to it and you will notice that it's diving for the hard deck
        (needs to be fixed). Turn off the a/p and fly to about 1000ft and
        engage the A/P. The ship will now fly to each of the waypoints avoiding 
        the ground, flying the pattern and repeating it when it passes the 4th 
        one.
      
      - You will notice a waypoint designator on the top right corner of the HUD 
        (inverse color for now so it's easy to see) and the range in km.
        The current waypoint being tracked is indicated by a vertical box in
        the HUD below the heading indicator. If you are doing this manually,
        fly toward this heading in order to reach the waypoint.
      
      - While the A/P is flying the waypoint pattern, you can still cycle
        targets in the NID or TACSCAN and view them in the CVD. The current
        target will be designated with an open triangle (see below). If you
        make this target the current destination, and engage the A/P, this
        will over-ride the current waypoint and the a/p will fly to the
        target. In order to resume following the tacOPS programmed waypoint,
        destroy or cancel the current target using [x] and the A/P will resume.
 
      - Since you have tacOPS control when flying an interceptor, simply
        activate it, alter the waypoints. This may be a bit difficult if there 
        are objects showing on the map. So, use the command palette, select 
        the desired waypoint and use the PLACE command to relocate it on the
        map. The ship will simply follow the new waypoint path and from the
        HUD, you will see the new distance. 
        
        Note: Press F1 to return to the cockpit.

078 Surface Ops: Explosions

    Explosions on the planet now follow a parabolic curve and will fall to
    the ground on detonation

079 Surface Ops: collision changes

    Only Air objects (objects with "A" in the dynamic flags in objects.scr)
    will spin if they collide with anything. They are also prevented
    from spinning if they are touching the surface.

080 Surface Ops: Xtreme Carnage

    Enabled surface AG on Xtreme Carnage planets. 

081 Surface Ops: NID object legend update

         white   - compound site (city, naval fleet, bases etc)
         green   - dynamic
         blue    - airborne craft
         yellow  - naval ships

082 Surface Ops: support ship deployment

    The mining drone is now deployed immediately ahead of the shuttle and has a
    random roving AI model. It moves across the surface, pauses to mine,
    changes direction at random and continues moving. It will reverse in a
    random direction if it hits another object. To see this in action, launch
    the drone say on Mars, target it in the F10 camera view, get a good angle
    and just watch it. Like a total idiot, I sat there one day and watched it
    rove the Martian surface for over 30 minutes. Some of the views were just
    too cool.
    
    Deployed personnel use similar logic for the time being. 
    
    The ATV is now deployed immediately behind the shuttle

    Wanna see something cool? Try this
    
    1. Put a marine in the shuttle
    
    2. From tacOPS, set 3 waypoints on a planet as follows. Space them a little
       apart but before you place them, zoom down a bit.
       
        1. deploy atv
        2. deploy drone
        3. wait for instructions
    
    3. Launch the shuttle and follow it from the F10 cam view until it enters
       the planet. Then switch to it
    
    4. Make sure a/p is on and just watch it. Check the waypoint range and
       when it's about 25 km from it (where it's going to deploy the atv), 
       switch to the F8 external camera view. Use the zoom and direction 
       controls to get a cool view of the shuttle. Zoom out, so DON'T fill up
       the screen with the ship. Now pan the camera using the arrow keys so
       that the ship if facing to the right of the screen.
       
       When it reaches waypoint 1, it will deploy the atv (you will see it
       drop!) and turn (really cool) to the next waypoint and do the same
       thing before finally flying to waypoint 3 and waiting for further orders.
       
    4. At this point, you can go into tacOPS (from the shuttle) and change the
       orders of waypoint 1 and 2, so that it collects the atv and drone. When
       you switch back to the HUD using F1, it will do the action. You may also
       want to delete waypoint three. This will allow the shuttle to return to
       the BC when it picks up the drone. The final waypoint is always RTB
       unless given an explicit 'wait for instructions' command. 
    
083 Surface Ops: completed surface clouds. 
    
    On planets with a different time zone than Earth, the palette is screwed up
    when clouds are active. This needs to be fixed.

084 Surface Ops: planetary date object records
    
    Deleted all old .POF files. Program will auto-create new ones when the
    planet is first entered. There will be a slight delay once planetfall is
    established the first time you enter a planet.

085 Surface Ops: object auto-generation

    Enabled surface object generation on Earth, Mars & Sygan in order to test
    surface ops and start fixing problems with object placement and dynamics. 
    Earth has some hostile, friendly and random regions, Mars is over-run by 
    Insurgents and the guys over at Sygan...well, pay them a visit.
    
    Though BC3K does not display the region segments yet (will do once orbital
    surface scan is in), you can see the region segments by running either
    PTEproto or GLDproto. You will then see the regions once the GBM loads.

086 Surface Ops: Cargo Manipulation

    The cargo transfer option in the shuttle and atv menus are work in progress.
    Use at your own risk. You can use the ATV/DRONE/CREW/CARGO menus in the HUD
    to transfer cargo, personnel etc amongst the crafts currently IN the shuttle
    
    Play around with it. The worse that could happen is the game will crash if
    you do something weird. At any rate, you can now deploy a drone and transfer
    it's cargo to the shuttle or atv without having to bring the drone back.
    You have all the options. Since it's work in progress, I'm not going to
    bother explaining in this version.

